Bug 4835 - CataloguingLog pref description wrong
Summary: CataloguingLog pref description wrong
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-28 00:01 UTC by Nicole C. Engard
Modified: 2012-10-26 00:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-05-28 00:01:29 UTC
This is not true:  

"CataloguingLog: Log any changes to bibliographic or item records. Since this occurs whenever a book is checked in or out as well, it is not advisable to turn this on. "

Shouldn't this note be on the ReturnsLog or IssuesLog?  That's what the description sounds like when it says checked in or out ... 

If that's the case then this should be turned on by default and one of them should be turned off.
Comment 1 Nicole C. Engard 2010-06-30 00:13:06 UTC
Can anyone confirm that this is an issue?
Comment 2 Nicole C. Engard 2010-07-19 15:08:01 UTC
Based on the following discussion, I recommend removing the warning from this preference:



[10:51]  <nengard> can someone confirm that bug 4835 is a bug - if not can you explain to me what that log tracks?
[10:51]  <munin> Bug http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=4835 normal, P5, ---, paul.poulain, NEW, CataloguingLog pref description wrong
[10:59]  <gmcharlt> nengard: "it is not advisable to
[10:59]  <gmcharlt> turn this on. " is essentially FUD, in my opinion
[11:00]  <nengard> that's what it sounds like to me!!!
[11:00]  <nengard> what does it track exactly? just cataloging actions? or other actions as well?
[11:00]  <gmcharlt> changes to bibs and items
[11:01]  <nengard> then i see no reason why that would be a problem 
[11:01]  <nengard> well i know we cna't change it for 3.2 but i'll put it on my 3.4 list
[11:01]  <gmcharlt> specifically bib and item creates, updates, and deletes
[11:02]  <gmcharlt> oddly, it does not cause authority record updates to be logged
[11:03]  <nengard> hmmm
Comment 3 Tomás Cohen Arazi 2011-02-17 14:34:23 UTC
Circulation::AddIssue (Circulation.pm) has a call to Items::ModItem (Items.pm) which makes changes to the biblio record and hence calls logaction().

This bug can be fixed in two ways (IMHO):

1) Ommit logging a "change" action on circulation events by passing a boolean flag to ModItem to log or not to log.
2) Wait for the removal of circulation data from marcxml and marc fields.
Comment 4 Tomás Cohen Arazi 2011-02-17 16:06:11 UTC
I think this bug should be marked as invalid as explained in Comment 3. There has to be a bug filled for the circ-info-in-marc removal. In that bug should be noted that the desccription should be fixed if it applies.